<template>
    <v-snackbar v-model="isOpen" top timeout="8000">
        <v-icon :color="color">{{ icon }}</v-icon> {{ $t(text) }}
        <template v-slot:action="{ attrs }">
            <v-btn color="pink" text v-bind="attrs" @click="isOpen = false">
                Close
            </v-btn>
        </template>
    </v-snackbar>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator'
import { mapGetters } from 'vuex'

@Component({
    computed: mapGetters({
        text: 'snackbar/getText',
        color: 'snackbar/getColor',
        icon: 'snackbar/getIcon',
    }),
})
export default class SnackBar extends Vue {
    // Data
    text!: String
    color!: String
    icon!: String

    // Getters
    get isOpen() {
        return this.$store.getters['snackbar/getIsOpen']
    }

    set isOpen(value: Boolean) {
        this.$store.commit('snackbar/setIsOpen', value)
    }
}
</script>
